LIRC libraries: Internal API

LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Files | Functions
Internal API

## Files
file | ciniparser.h
| Parser for ini files.
file | dictionary.h
| Implements a dictionary for string variables.
file | driver.h
| Interface to the userspace drivers.
file | drv_admin.h
| Routines for dynamic drivers.
file | dump_config.h
| Dumps data structures into file.
file | input_map.h
| Button namespace derived from Linux input layer.
file | ir_remote.h
| Describes and decodes the signals from IR remotes.
file | ir_remote_types.h
| Describes and decodes the signals from IR remotes.
file | lirc-utils.h
| Utilities.
file | lirc_config.h
| Local configuration constants not managed by autotools.
file | lirc_log.h
| Logging functionality.
file | lirc_options.h
| Options management: options file, parse and retrieve.
file | release.h
| Automatic release event generation.

## Functions
struct ir_remote * | read_config (FILE *f, const char *name)
| Parse a lircd.conf config file.
void | free_config (struct ir_remote *remotes)
| Free() an ir_remote instance obtained using read_config().
const char * | drop_sudo_root (int(*set_some_uid)(uid_t))
| Try to drop possible root privileges, returning new user or "" on error.
void | drop_root_cli (int(*set_some_uid)(uid_t))
| Default view part of drop_sudo_root.

## Detailed Description

Internal API for lirc applications.

## Function Documentation

## ◆ drop_root_cli()

void drop_root_cli | ( | int(*)(uid_t) | set_some_uid | ) |

Default view part of drop_sudo_root.

Invokes drop_sudo_root() and prints status messagea on stdout.

Parameters

  set_some_uid | Typically seteuid() or setuid()

Definition at line 81 of file lirc-utils.c.

## ◆ drop_sudo_root()

const char * drop_sudo_root | ( | int(*)(uid_t) | set_some_uid | ) |

Try to drop possible root privileges, returning new user or "" on error.

Parameters

  set_some_uid | Typically seteuid() or setuid()

Note
  Uses environment SUDO_USER to determine user to switch to (if any).

Definition at line 28 of file lirc-utils.c.

## ◆ free_config()

void free_config | ( | struct ir_remote * | remotes | ) |

Free() an ir_remote instance obtained using read_config().

Definition at line 1404 of file config_file.c.

## ◆ read_config()

struct ir_remote * read_config | ( | FILE * | f,
|  | const char * | name )

Parse a lircd.conf config file.

Parameters

  f | Open FILE* connection to file.
  name | Normally the path for the open file f.

Returns
  Pointer to dynamically allocated ir_remote or NULL on errors,

Definition at line 833 of file config_file.c.